Direct Debits
Direct Debits are transactions that third party made to pull funds out of your Airwallex account.
GET /api/v1/direct_debitsGET /api/v1/direct_debits/{transaction_id}POST /api/v1/direct_debits/{transaction_id}/cancel
Get list of direct debits
GET /api/v1/direct_debits
Get list of direct debits by specifying the start and end date/time of creation. If neither from_created_date nor to_created_date are provided, direct debits within 30 days of today will be returned. If only to_created_date is provided, direct debits within 30 days of to_created_date will be returned.
The start date of created_at in ISO8601 format (inclusive)
Page number, starts from 0.
Number of results per page, defaultValue 100
The end date of created_at in ISO8601 format (inclusive)
A flag which identifies whether there are more results.
Paged results.
The amount of this direct debit
The timestamp this direct debit was created
The currency (3-letter ISO-4217 code) of this direct debit
The global account id of this direct debit
A unique id of this direct debit
The debtor's name of this direct debit
The unique identifier of the related mandate
The statement reference of this direct debit
The status of direct debit transaction
NEW, IN_REVIEW, PENDING, SETTLED, REJECTED, RETURNED
| Error status | Description |
|---|---|
| 307 | Temporary Redirect |
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/direct_debits' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "has_more": false,3 "items": [4 {5 "amount": 12794.27,6 "currency": "USD",7 "transaction_id": "da46a141-85d3-4ed7-8155-5ab8f7cc34f2",8 "global_account_id": "e412ea03-b6fa-4198-90ef-aaee64c4139c",9 "status": "SETTLED",10 "debtor_name": "ABC",11 "statement_ref": "5487287788",12 "mandate_id": "11987bad-bb6d-4e30-ba49-d19826c3e803"13 }14 ]15}
Get direct debit by ID
GET /api/v1/direct_debits/{transaction_id}
Get direct debit by transaction id.
Unique Identifier for direct debit transaction
The amount of this direct debit
The timestamp this direct debit was created
The currency (3-letter ISO-4217 code) of this direct debit
The debtor's name of this direct debit
The global account id of this direct debit
The unique identifier of the related mandate
The statement reference of this direct debit
The status of direct debit transaction
NEW, IN_REVIEW, PENDING, SETTLED, REJECTED, RETURNED
A unique id of this direct debit
| Error status | Description |
|---|---|
| 307 | Temporary Redirect |
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/direct_debits/transaction_id' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "amount": 12794.27,3 "created_at": "<date-time>",4 "currency": "USD",5 "transaction_id": "da46a141-85d3-4ed7-8155-5ab8f7cc34f2",6 "global_account_id": "e412ea03-b6fa-4198-90ef-aaee64c4139c",7 "status": "SETTLED",8 "debtor_name": "ABC",9 "statement_ref": "5487287788",10 "mandate_id": "11987bad-bb6d-4e30-ba49-d19826c3e803"11}
Cancel a direct debit by ID
POST /api/v1/direct_debits/{transaction_id}/cancel
Cancel a direct debit by transaction id.
The unique identifier for direct debit transaction
OK
| Error status | Description |
|---|---|
| 307 | Temporary Redirect |
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/direct_debits/transaction_id/cancel' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'